// Author : Pierre Vuillemin (2016)
// License : GNU GPL

// [sopiVarc sopiVar] ..........................................................
function newVar = %sopiVar_c_sopiVar(var1, var2)
   sopi_print(5,'Horizontal concatenation of sopiVars.\n')
   OP             = 'hcat'
   newSize        = sopi_checkSizesCoherence(var1, var2, OP)
   newVar         = sopi_newVar('size', newSize,...
                                'operator', OP)
   // Arguments of the var
   newVar.args = sopi_simplifyArgs(var1,var2, OP)
   // Properties
   P              = sopi_newMatProp(newSize)
   offset         = 0
   for v = list(var1,var2)
      for i = 1:size(v,1)
         for j = 1:size(v,2)
            P(i)(offset + j) = v.prop(i)(j)
         end
      end
      offset = offset + size(v,2)
   end
   newVar.prop = P
endfunction
