// Author : Pierre Vuillemin (2016)
// License : GNU GPL

function newVar = %sopiVar_m_s(var, A)
   // Overloading of the multiplication between a sopiVar and a matrix.
   //
   sopi_print(5,'Performing sopiVar*matrix.\n')
   [m,n] = size(A)
   if isscalar(A) | and(A == 0) | and(A == eye(m,n)) then
      newVar   = A * var
   else
      Avar     = sopi_constant(A)
      newVar   = var * Avar
   end
endfunction
