// Author : Pierre Vuillemin (2016)
// License : GNU GPL

function var = sopi_newVar(varargin)
   // Creates an empty sopiVar object
   objType  = 'sopiVar';
   objAtt   = list( 'id'      , sopi_getNewId(),...
                    'size'    ,              [],...
                    'name'    ,              '',...
                    'operator',              [],...
                    'opt'     ,              [],...
                    'args'    ,              list(),...
                    'prop'    ,              [],...
                    'graph'   ,              struct());
   var         = sopi_makeObject(objType, objAtt);
   var         = sopi_fillList(var, varargin) // does not seem to be used
   if ~isempty(var.size) then
      var.prop = sopi_newMatProp(var.size)
   end
endfunction

function id = sopi_getNewId()
   // Finds a new id for a sopiVar.
   global sopiData
   id               = sopiData.varId + 1;
   sopiData.varId   = id;
endfunction
